[supervisord]
nodaemon=true
user=root
logfile=/var/log/supervisor/supervisord.log
pidfile=/var/run/supervisord.pid

[program:php]
command=/usr/bin/php -d variables_order=EGPCS /var/www/html/artisan octane:start --server=roadrunner --host=0.0.0.0 --rpc-port=6001 --port=8000
#command=/usr/bin/php -d variables_order=EGPCS /var/www/html/artisan serve --host=0.0.0.0 --port=80
user=sail
environment=LARAVEL_SAIL="1"
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes=0
stderr_logfile=/dev/stderr
stderr_logfile_maxbytes=0

[program:cyca_queue]
process_name=%(program_name)s_%(process_num)02d
command=php /var/www/html/artisan queue:work --queue=notifications,default
autostart=true
autorestart=true
user=sail
numprocs=4
redirect_stderr=true
stdout_logfile=/var/www/html/storage/logs/queues.log
stopwaitsecs=3600

[program:cyca_websocket]
process_name=%(program_name)s
command=php /var/www/html/artisan websockets:serve --port=6002
directory=/var/www/html
autostart=true
autorestart=true
user=sail
redirect_stderr=true
stdout_logfile=/var/www/html/storage/logs/echo-server.log
stopwaitsecs=3600

[program:cyca_scheduler]
process_name=%(program_name)s
command=php /var/www/html/artisan schedule:work
directory=/var/www/html
autostart=true
autorestart=true
user=sail
redirect_stderr=true
stopwaitsecs=3600
redirect_stderr=true
stdout_logfile=/var/www/html/storage/logs/scheduler.log
